version: 2
build:
    os: ubuntu-24.04
    tools:
        python: "3.12"
    commands:
        - asdf plugin add uv
        - asdf install uv latest
        - asdf global uv latest
        - uv venv
        - uv pip install .[docs]
        - .venv/bin/python -m sphinx -T -b html -d docs/_build/doctrees -D language=en docs $READTHEDOCS_OUTPUT/html
sphinx:
    configuration: docs/conf.py
    fail_on_warning: false

submodules:
    include: all
